<?php
    
    if( core::$i->id )
    {
        $data = db::$i->row("SELECT * FROM `".( core::$i->mode )."` WHERE `id`='".( core::$i->id )."'");
        if( $data )
        {
            if( db::$i->q("DELETE FROM `".( core::$i->mode )."` WHERE `id`='".( core::$i->id )."' LIMIT 1") )
            {
                core::back();
            } 
            else 
            {
                page::$i->setError( l('Wystąpił błąd podczas połączenia z bazą danych') );    
            }
        } 
        else 
        {
            page::$i->setError( l('Element o takim identyfikatorze nie istnieje') );
        }
    } 
    else 
    {
        core::back();
    }


?>